<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: arm_compute/core/NEON/NEKernels.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_n_e_kernels_8h_source.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">NEKernels.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_n_e_kernels_8h.xhtml">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2016, 2017 ARM Limited.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * SPDX-License-Identifier: MIT</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a copy</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * of this software and associated documentation files (the &quot;Software&quot;), to</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * deal in the Software without restriction, including without limitation the</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * sell copies of the Software, and to permit persons to whom the Software is</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * furnished to do so, subject to the following conditions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * The above copyright notice and this permission notice shall be included in all</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> * copies or substantial portions of the Software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * SOFTWARE.</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#ifndef __ARM_COMPUTE_NEKERNELS_H__</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#define __ARM_COMPUTE_NEKERNELS_H__</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment">/* Header regrouping all the NEON kernels */</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_absolute_difference_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEAbsoluteDifferenceKernel.h</a>&quot;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_accumulate_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEAccumulateKernel.h</a>&quot;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_activation_layer_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEActivationLayerKernel.h</a>&quot;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_arithmetic_addition_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEArithmeticAdditionKernel.h</a>&quot;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_arithmetic_subtraction_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEArithmeticSubtractionKernel.h</a>&quot;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_bitwise_and_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEBitwiseAndKernel.h</a>&quot;</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_bitwise_not_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEBitwiseNotKernel.h</a>&quot;</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_bitwise_or_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEBitwiseOrKernel.h</a>&quot;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_bitwise_xor_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEBitwiseXorKernel.h</a>&quot;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_box3x3_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEBox3x3Kernel.h</a>&quot;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_canny_edge_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NECannyEdgeKernel.h</a>&quot;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_channel_combine_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEChannelCombineKernel.h</a>&quot;</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_channel_extract_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEChannelExtractKernel.h</a>&quot;</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_col2_im_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NECol2ImKernel.h</a>&quot;</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_color_convert_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEColorConvertKernel.h</a>&quot;</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_convolution_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEConvolutionKernel.h</a>&quot;</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_convolution_layer_weights_reshape_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEConvolutionLayerWeightsReshapeKernel.h</a>&quot;</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_cumulative_distribution_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NECumulativeDistributionKernel.h</a>&quot;</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_depth_convert_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEDepthConvertKernel.h</a>&quot;</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_derivative_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEDerivativeKernel.h</a>&quot;</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_dilate_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEDilateKernel.h</a>&quot;</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_erode_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEErodeKernel.h</a>&quot;</span></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_fast_corners_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEFastCornersKernel.h</a>&quot;</span></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_fill_array_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEFillArrayKernel.h</a>&quot;</span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_fill_border_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEFillBorderKernel.h</a>&quot;</span></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_fill_inner_border_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEFillInnerBorderKernel.h</a>&quot;</span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_g_e_m_m_interleave4x4_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEGEMMInterleave4x4Kernel.h</a>&quot;</span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_g_e_m_m_lowp_matrix_multiply_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEGEMMLowpMatrixMultiplyKernel.h</a>&quot;</span></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_g_e_m_m_matrix_accumulate_biases_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEGEMMMatrixAccumulateBiasesKernel.h</a>&quot;</span></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_g_e_m_m_matrix_addition_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEGEMMMatrixAdditionKernel.h</a>&quot;</span></div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_g_e_m_m_matrix_multiply_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEGEMMMatrixMultiplyKernel.h</a>&quot;</span></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_g_e_m_m_transpose1x_w_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEGEMMTranspose1xWKernel.h</a>&quot;</span></div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_gaussian3x3_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEGaussian3x3Kernel.h</a>&quot;</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_gaussian5x5_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEGaussian5x5Kernel.h</a>&quot;</span></div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_gaussian_pyramid_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEGaussianPyramidKernel.h</a>&quot;</span></div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_h_o_g_descriptor_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEHOGDescriptorKernel.h</a>&quot;</span></div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_h_o_g_detector_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEHOGDetectorKernel.h</a>&quot;</span></div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_h_o_g_non_maxima_suppression_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEHOGNonMaximaSuppressionKernel.h</a>&quot;</span></div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_harris_corners_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEHarrisCornersKernel.h</a>&quot;</span></div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_histogram_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEHistogramKernel.h</a>&quot;</span></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_im2_col_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEIm2ColKernel.h</a>&quot;</span></div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_integral_image_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEIntegralImageKernel.h</a>&quot;</span></div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_l_k_tracker_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NELKTrackerKernel.h</a>&quot;</span></div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_magnitude_phase_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEMagnitudePhaseKernel.h</a>&quot;</span></div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_mean_std_dev_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEMeanStdDevKernel.h</a>&quot;</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_median3x3_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEMedian3x3Kernel.h</a>&quot;</span></div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_min_max_location_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEMinMaxLocationKernel.h</a>&quot;</span></div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_non_linear_filter_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NENonLinearFilterKernel.h</a>&quot;</span></div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_non_maxima_suppression3x3_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NENonMaximaSuppression3x3Kernel.h</a>&quot;</span></div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_normalization_layer_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NENormalizationLayerKernel.h</a>&quot;</span></div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_pixel_wise_multiplication_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEPixelWiseMultiplicationKernel.h</a>&quot;</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_pooling_layer_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEPoolingLayerKernel.h</a>&quot;</span></div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_remap_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NERemapKernel.h</a>&quot;</span></div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_scale_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEScaleKernel.h</a>&quot;</span></div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_scharr3x3_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEScharr3x3Kernel.h</a>&quot;</span></div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_sobel3x3_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NESobel3x3Kernel.h</a>&quot;</span></div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_sobel5x5_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NESobel5x5Kernel.h</a>&quot;</span></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_sobel7x7_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NESobel7x7Kernel.h</a>&quot;</span></div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_softmax_layer_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NESoftmaxLayerKernel.h</a>&quot;</span></div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_table_lookup_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NETableLookupKernel.h</a>&quot;</span></div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_threshold_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEThresholdKernel.h</a>&quot;</span></div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_transpose_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NETransposeKernel.h</a>&quot;</span></div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_warp_kernel_8h.xhtml">arm_compute/core/NEON/kernels/NEWarpKernel.h</a>&quot;</span></div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* __ARM_COMPUTE_NEKERNELS_H__ */</span><span class="preprocessor"></span></div><div class="ttc" id="_n_e_h_o_g_detector_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_h_o_g_detector_kernel_8h.xhtml">NEHOGDetectorKernel.h</a></div></div>
<div class="ttc" id="_n_e_dilate_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_dilate_kernel_8h.xhtml">NEDilateKernel.h</a></div></div>
<div class="ttc" id="_n_e_softmax_layer_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_softmax_layer_kernel_8h.xhtml">NESoftmaxLayerKernel.h</a></div></div>
<div class="ttc" id="_n_e_g_e_m_m_interleave4x4_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_g_e_m_m_interleave4x4_kernel_8h.xhtml">NEGEMMInterleave4x4Kernel.h</a></div></div>
<div class="ttc" id="_n_e_gaussian_pyramid_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_gaussian_pyramid_kernel_8h.xhtml">NEGaussianPyramidKernel.h</a></div></div>
<div class="ttc" id="_n_e_g_e_m_m_matrix_multiply_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_g_e_m_m_matrix_multiply_kernel_8h.xhtml">NEGEMMMatrixMultiplyKernel.h</a></div></div>
<div class="ttc" id="_n_e_fill_inner_border_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_fill_inner_border_kernel_8h.xhtml">NEFillInnerBorderKernel.h</a></div></div>
<div class="ttc" id="_n_e_channel_extract_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_channel_extract_kernel_8h.xhtml">NEChannelExtractKernel.h</a></div></div>
<div class="ttc" id="_n_e_convolution_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_convolution_kernel_8h.xhtml">NEConvolutionKernel.h</a></div></div>
<div class="ttc" id="_n_e_box3x3_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_box3x3_kernel_8h.xhtml">NEBox3x3Kernel.h</a></div></div>
<div class="ttc" id="_n_e_non_maxima_suppression3x3_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_non_maxima_suppression3x3_kernel_8h.xhtml">NENonMaximaSuppression3x3Kernel.h</a></div></div>
<div class="ttc" id="_n_e_pixel_wise_multiplication_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_pixel_wise_multiplication_kernel_8h.xhtml">NEPixelWiseMultiplicationKernel.h</a></div></div>
<div class="ttc" id="_n_e_accumulate_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_accumulate_kernel_8h.xhtml">NEAccumulateKernel.h</a></div></div>
<div class="ttc" id="_n_e_bitwise_and_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_bitwise_and_kernel_8h.xhtml">NEBitwiseAndKernel.h</a></div></div>
<div class="ttc" id="_n_e_arithmetic_addition_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_arithmetic_addition_kernel_8h.xhtml">NEArithmeticAdditionKernel.h</a></div></div>
<div class="ttc" id="_n_e_h_o_g_descriptor_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_h_o_g_descriptor_kernel_8h.xhtml">NEHOGDescriptorKernel.h</a></div></div>
<div class="ttc" id="_n_e_canny_edge_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_canny_edge_kernel_8h.xhtml">NECannyEdgeKernel.h</a></div></div>
<div class="ttc" id="_n_e_non_linear_filter_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_non_linear_filter_kernel_8h.xhtml">NENonLinearFilterKernel.h</a></div></div>
<div class="ttc" id="_n_e_gaussian3x3_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_gaussian3x3_kernel_8h.xhtml">NEGaussian3x3Kernel.h</a></div></div>
<div class="ttc" id="_n_e_gaussian5x5_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_gaussian5x5_kernel_8h.xhtml">NEGaussian5x5Kernel.h</a></div></div>
<div class="ttc" id="_n_e_fill_border_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_fill_border_kernel_8h.xhtml">NEFillBorderKernel.h</a></div></div>
<div class="ttc" id="_n_e_g_e_m_m_transpose1x_w_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_g_e_m_m_transpose1x_w_kernel_8h.xhtml">NEGEMMTranspose1xWKernel.h</a></div></div>
<div class="ttc" id="_n_e_derivative_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_derivative_kernel_8h.xhtml">NEDerivativeKernel.h</a></div></div>
<div class="ttc" id="_n_e_sobel3x3_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_sobel3x3_kernel_8h.xhtml">NESobel3x3Kernel.h</a></div></div>
<div class="ttc" id="_n_e_median3x3_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_median3x3_kernel_8h.xhtml">NEMedian3x3Kernel.h</a></div></div>
<div class="ttc" id="_n_e_bitwise_or_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_bitwise_or_kernel_8h.xhtml">NEBitwiseOrKernel.h</a></div></div>
<div class="ttc" id="_n_e_remap_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_remap_kernel_8h.xhtml">NERemapKernel.h</a></div></div>
<div class="ttc" id="_n_e_mean_std_dev_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_mean_std_dev_kernel_8h.xhtml">NEMeanStdDevKernel.h</a></div></div>
<div class="ttc" id="_n_e_threshold_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_threshold_kernel_8h.xhtml">NEThresholdKernel.h</a></div></div>
<div class="ttc" id="_n_e_depth_convert_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_depth_convert_kernel_8h.xhtml">NEDepthConvertKernel.h</a></div></div>
<div class="ttc" id="_n_e_arithmetic_subtraction_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_arithmetic_subtraction_kernel_8h.xhtml">NEArithmeticSubtractionKernel.h</a></div></div>
<div class="ttc" id="_n_e_col2_im_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_col2_im_kernel_8h.xhtml">NECol2ImKernel.h</a></div></div>
<div class="ttc" id="_n_e_color_convert_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_color_convert_kernel_8h.xhtml">NEColorConvertKernel.h</a></div></div>
<div class="ttc" id="_n_e_scharr3x3_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_scharr3x3_kernel_8h.xhtml">NEScharr3x3Kernel.h</a></div></div>
<div class="ttc" id="_n_e_sobel7x7_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_sobel7x7_kernel_8h.xhtml">NESobel7x7Kernel.h</a></div></div>
<div class="ttc" id="_n_e_normalization_layer_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_normalization_layer_kernel_8h.xhtml">NENormalizationLayerKernel.h</a></div></div>
<div class="ttc" id="_n_e_transpose_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_transpose_kernel_8h.xhtml">NETransposeKernel.h</a></div></div>
<div class="ttc" id="_n_e_pooling_layer_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_pooling_layer_kernel_8h.xhtml">NEPoolingLayerKernel.h</a></div></div>
<div class="ttc" id="_n_e_scale_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_scale_kernel_8h.xhtml">NEScaleKernel.h</a></div></div>
<div class="ttc" id="_n_e_sobel5x5_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_sobel5x5_kernel_8h.xhtml">NESobel5x5Kernel.h</a></div></div>
<div class="ttc" id="_n_e_magnitude_phase_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_magnitude_phase_kernel_8h.xhtml">NEMagnitudePhaseKernel.h</a></div></div>
<div class="ttc" id="_n_e_activation_layer_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_activation_layer_kernel_8h.xhtml">NEActivationLayerKernel.h</a></div></div>
<div class="ttc" id="_n_e_bitwise_xor_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_bitwise_xor_kernel_8h.xhtml">NEBitwiseXorKernel.h</a></div></div>
<div class="ttc" id="_n_e_bitwise_not_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_bitwise_not_kernel_8h.xhtml">NEBitwiseNotKernel.h</a></div></div>
<div class="ttc" id="_n_e_erode_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_erode_kernel_8h.xhtml">NEErodeKernel.h</a></div></div>
<div class="ttc" id="_n_e_channel_combine_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_channel_combine_kernel_8h.xhtml">NEChannelCombineKernel.h</a></div></div>
<div class="ttc" id="_n_e_harris_corners_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_harris_corners_kernel_8h.xhtml">NEHarrisCornersKernel.h</a></div></div>
<div class="ttc" id="_n_e_absolute_difference_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_absolute_difference_kernel_8h.xhtml">NEAbsoluteDifferenceKernel.h</a></div></div>
<div class="ttc" id="_n_e_g_e_m_m_matrix_accumulate_biases_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_g_e_m_m_matrix_accumulate_biases_kernel_8h.xhtml">NEGEMMMatrixAccumulateBiasesKernel.h</a></div></div>
<div class="ttc" id="_n_e_g_e_m_m_lowp_matrix_multiply_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_g_e_m_m_lowp_matrix_multiply_kernel_8h.xhtml">NEGEMMLowpMatrixMultiplyKernel.h</a></div></div>
<div class="ttc" id="_n_e_table_lookup_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_table_lookup_kernel_8h.xhtml">NETableLookupKernel.h</a></div></div>
<div class="ttc" id="_n_e_im2_col_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_im2_col_kernel_8h.xhtml">NEIm2ColKernel.h</a></div></div>
<div class="ttc" id="_n_e_h_o_g_non_maxima_suppression_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_h_o_g_non_maxima_suppression_kernel_8h.xhtml">NEHOGNonMaximaSuppressionKernel.h</a></div></div>
<div class="ttc" id="_n_e_l_k_tracker_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_l_k_tracker_kernel_8h.xhtml">NELKTrackerKernel.h</a></div></div>
<div class="ttc" id="_n_e_histogram_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_histogram_kernel_8h.xhtml">NEHistogramKernel.h</a></div></div>
<div class="ttc" id="_n_e_fill_array_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_fill_array_kernel_8h.xhtml">NEFillArrayKernel.h</a></div></div>
<div class="ttc" id="_n_e_integral_image_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_integral_image_kernel_8h.xhtml">NEIntegralImageKernel.h</a></div></div>
<div class="ttc" id="_n_e_cumulative_distribution_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_cumulative_distribution_kernel_8h.xhtml">NECumulativeDistributionKernel.h</a></div></div>
<div class="ttc" id="_n_e_min_max_location_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_min_max_location_kernel_8h.xhtml">NEMinMaxLocationKernel.h</a></div></div>
<div class="ttc" id="_n_e_fast_corners_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_fast_corners_kernel_8h.xhtml">NEFastCornersKernel.h</a></div></div>
<div class="ttc" id="_n_e_convolution_layer_weights_reshape_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_convolution_layer_weights_reshape_kernel_8h.xhtml">NEConvolutionLayerWeightsReshapeKernel.h</a></div></div>
<div class="ttc" id="_n_e_warp_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_warp_kernel_8h.xhtml">NEWarpKernel.h</a></div></div>
<div class="ttc" id="_n_e_g_e_m_m_matrix_addition_kernel_8h_xhtml"><div class="ttname"><a href="_n_e_g_e_m_m_matrix_addition_kernel_8h.xhtml">NEGEMMMatrixAdditionKernel.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_214608ef36d61442cb2b0c1c4e9a7def.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="dir_1fb090f0c6070330bfaccc4236d3ca0d.xhtml">core</a></li><li class="navelem"><a class="el" href="dir_315f6cf1ec0b2df3ae747ff8286a19f5.xhtml">NEON</a></li><li class="navelem"><a class="el" href="_n_e_kernels_8h.xhtml">NEKernels.h</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:09 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
